function init() {

	
		
			$("#aviso_me").hide();			
					
			var n = 0;
			var m =0;
				if( n == 0 || m == 0)
				{
					if( n == 0 )
					{	
						$("#menMovi").click( function(){
							n++;
							}				
						);
					}
					if( m == 0 )
					{
							$("#menEsta").click( function(){
							m++;
							}
							);
					}
				}
				
			$('.btnHome').click(function(){
					if( ( n > 0 ) && ( m > 0 ))
					{
							$("#aviso_me").show();	
							
					}
			});	
	
    var rotacion;
    var rotacionTras;
    var rotacionSol;
    var trasla;
    var antras;
    var posLeftSol;
    var numrota = 0;
    var numsol = 0;
    var numrotaTras = 0;
    var pos = new Array();
    var audio = document.createElement('audio');

    $('#conEstaciones').hide();

    $('.plane').hide();

    function cargarAudio(ruta) {
        audio.pause();
        audio.src = ruta;
        audio.load();
        audio.play();
    }

    $('#menMovi').click(function() {
        $('#ConteMenuPrin').hide();
        $('#conEstaciones').hide();
        $('.btnHome').css('display', 'block')
        $('#conMovimientos').css('display', 'block');
    });

    $('#menEsta').click(function() {
        $('#ConteMenuPrin').hide();
        $('#conMovimientos').hide();
        $('.btnHome').css('display', 'block')
        $('#conEstaciones').css('display', 'block');
    });


    $('.rota').click(function() {
        cargarAudio('audios/SN_S_G05_U01_L01_03_01_02.mp3'); //ruta de audio rotacion
        $('.planerota').css('display', 'block');
        $('.animarota').css('display', 'block');
        $('.animatrasla').hide();
        $('.imgicomenmov').hide();
        clearInterval(rotacion);
        clearInterval(rotacionTras);
        clearInterval(rotacionSol);
        clearInterval(antras);
        $('.botonMov').css('color', 'white');
        $(this).css('color', '#D9E021');
        rotacion = setInterval(rotar, 60);
    });

    $('.trasla, .pre').click(function() {

        var i = 0;
        clearInterval(rotacion);
        clearInterval(rotacionTras);
        clearInterval(rotacionSol);
        clearInterval(antras);
        $('.botonMov').css('color', 'white');
        $(this).css('color', '#D9E021');
        $('.animatrasla').css('display', 'block');
        $('.animarota').hide();
        $('.imgicomenmov').hide();
        antras = setInterval(function() {
            pos = elipsePonit(10, 10, 600, 200, ((Math.PI * i) / 180));

            posLeftSol = document.querySelector('.sol').offsetLeft;

            if ((posLeftSol + 180) >= (pos[0] + 310) && (posLeftSol - 60) <= (pos[0] + 310) && (pos[1] + 220) <= 330) {
                $('.planeRotaTras').css('z-index', '10');
                $('.sol').css('z-index', '100');
            } else {
                $('.planeRotaTras').css('z-index', '100');
                $('.sol').css('z-index', '10');
            }

            document.getElementById("planeta").style.left = (pos[0] + 310) + "px";
            document.getElementById("planeta").style.top = (pos[1] + 220) + "px";
            i++;
            if (i > 360) {
                i = 0;
            }

        }, 60);


        rotacionTras = setInterval(rotartras, 60);
        rotacionSol = setInterval(rotarsol, 60);

        var clase = $(this).attr('class');
        clase = clase.split(" ");
        if (clase[1] == 'pre') {
            cargarAudio('audios/SN_S_G05_U01_L01_03_01_03.mp3'); // ruta audio presecion
            $('#planeta').addClass('animapre');
            //$('#planeta').romoveClass('animatrasla1');  
        } else {
            cargarAudio('audios/SN_S_G05_U01_L01_03_01_01.mp3'); // ruta audio traslacion
            $('#planeta').removeClass('animapre');
            // $('#planeta').addClass('animatrasla1');
        }


    });


    /** Funcion para el movimiento de rotacion*/
    function rotar() {
        $('.planerota').css('background-position', -numrota + "px");
        numrota += 300;
        if (numrota == 8700) {
            numrota = 0;
        }

    }

    function rotartras() {
        $('.planeRotaTras').css('background-position', -numrotaTras + "px");
        numrotaTras += 105;
        if (numrotaTras == 3045) {
            numrotaTras = 0;
        }

    }

    function rotarsol() {
        $('.sol').css('background-position', -numsol + "px");
        numsol += 180;
        if (numsol == 5220) {
            numsol = 0;
        }

    }

    /* Xi     = 300;
  Yi     = 200;
  radiop = 190; 
  radiol = 50;
  inc    = Math.PI/130
  ang = 0;

  function mover() {
        x_planeta = (radiop * Math.cos(ang)) + Xi;
        y_planeta = (radiop * Math.sin(ang)) + Yi;


        document.getElementById("planeta").style.left = x_planeta+"px";
        document.getElementById("planeta").style.top  = y_planeta+"px";
      
      console.log( document.getElementById("planeta"));
        ang+=inc;
        if ( ang >= 2*Math.PI ) ang = 0;

        setTimeout(mover, 20);
  }

  setTimeout(mover, 20);*/

    function elipsePonit(x1, y1, x2, y2, angulo) {
        var Cx, Cy, A, B;

        A = (x2 - x1) / 2;
        A = A < 0 ? (A * -1) : A;
        B = (y2 - y1) / 2;
        B = B < 0 ? (B * -1) : B;
        Cx = (x1 + x2) / 2;
        Cy = (y1 + y2) / 2;
        P = new Array();
        p = [Math.floor((Cx + A * Math.cos(angulo))), Math.floor((Cy - B * Math.sin(angulo)))];
        return p;
    }

    $('.planerota').hide();
    $('#conMovimientos').css('display', 'none');


    /* estaciones */

    $('.botoEst').click(function(event) {

        var idBtnEs = $(this).attr('id');
        $('.plane').fadeOut('fast');
        $('.tapa').css('display', 'block');

        switch (idBtnEs) {
            case 'esta1':
                cargarAudio('audios/SN_S_G05_U01_L01_03_01_08.mp3');
                $('.p1').fadeIn();
                $('.tapa').fadeOut()
                break;
            case 'esta2':
                cargarAudio('audios/SN_S_G05_U01_L01_03_01_09.mp3');
                $('.p2').fadeIn();
                $('.tapa').fadeOut()
                break;
            case 'esta3':
                cargarAudio('audios/SN_S_G05_U01_L01_03_01_04.mp3');
                $('.p3').fadeIn();
                break;
            case 'esta4':
                cargarAudio('audios/SN_S_G05_U01_L01_03_01_06.mp3');
                $('.p4').fadeIn();
                break;
            case 'esta5':
                cargarAudio('audios/SN_S_G05_U01_L01_03_01_05.mp3');
                $('.p5').fadeIn();
                break;
            case 'esta6':
                cargarAudio('audios/SN_S_G05_U01_L01_03_01_07.mp3');
                $('.p6').fadeIn();
                break;
        }



    });

    $('.btnHome').click(function() {
        $('#ConteMenuPrin').css('display', 'block');
        $('#conMovimientos').hide();
        $('#conEstaciones').hide();
        audio.pause();
        clearInterval(rotacion);
        clearInterval(rotacionTras);
        clearInterval(rotacionSol);
        clearInterval(antras);
        $('.btnHome').hide();
    });
    $('.btnHome').hide();

}